File: changelog

package info (click to toggle)
c2esp 27-2
  • links: PTS, VCS
  • area: main
  • in suites: jessie, jessie-kfreebsd
  • size: 688 kB
  • ctags: 204
  • sloc: ansic: 1,965; sh: 1,000; makefile: 33; python: 8
file content (203 lines) | stat: -rw-r--r-- 6,508 bytes parent folder | download
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
120
121
122
123
124
125
126
127
128
129
130
131
132
133
134
135
136
137
138
139
140
141
142
143
144
145
146
147
148
149
150
151
152
153
154
155
156
157
158
159
160
161
162
163
164
165
166
167
168
169
170
171
172
173
174
175
176
177
178
179
180
181
182
183
184
185
186
187
188
189
190
191
192
193
194
195
196
197
198
199
200
201
202
203
c2esp (27-2) unstable; urgency=medium

  * Add autopkgtest suite
  * Add patch to fix implicit declaration of strncasecmp

 -- Didier Raboud <odyx@debian.org>  Mon, 21 Jul 2014 13:22:44 +0200

c2esp (27-1) unstable; urgency=medium

  * New 27 upstream release
    - The compile and install system has been changed to
      autoconf/automake
  * Updates for version 27:
    - Refresh debian/copyright
    - Update debian/watch to cope with the latest upstream naming scheme
    - Drop all debian patches, made obsolete by the new upstream
  * Move the repository from collab-maint to printing; update the VCS-*
    fields accordingly
  * Bump debhelper depends to 9; sync with compat

 -- Didier Raboud <odyx@debian.org>  Wed, 05 Mar 2014 15:32:36 +0100

c2esp (27~rc1-1) experimental; urgency=low

  * New 27~rc1 upstream release
    - "The jbig library is no longer shipped with c2esp", therefore
      update debian/copyright and drop the patch to use the
      Debian-provided libjbig
    - Update the .drv files installation
    - Update the models list in the package description
  * Add patch to enforce LDFLAGS usage
  * Add --as-needed to LDFLAGS

 -- Didier Raboud <odyx@debian.org>  Thu, 02 Jan 2014 14:39:42 +0100

c2esp (26-5) unstable; urgency=low

  * Drop c2esp transitional package which reached stable
  * Bump Standards-Version to 3.9.5 without changes needed

 -- Didier Raboud <odyx@debian.org>  Fri, 29 Nov 2013 11:44:21 +0100

c2esp (26-4) unstable; urgency=low

  * Upload to unstable to build against newer cups.

 -- Didier Raboud <odyx@debian.org>  Tue, 04 Jun 2013 17:24:46 +0200

c2esp (26-3) experimental; urgency=low

  [ Sebastien Bacher ]
  * Changed build dependencies from libcupsdriver1-dev to
    libcupsfilters-dev.

 -- Didier Raboud <odyx@debian.org>  Thu, 16 May 2013 15:01:29 +0200

c2esp (26-2) unstable; urgency=low

  * Upload to unstable.

 -- Didier Raboud <odyx@debian.org>  Thu, 16 May 2013 14:42:06 +0200

c2esp (26-1) experimental; urgency=low

  * New 26 upstream release.
    - Refresh patches.
    - Update the .drv files installation.

 -- Didier Raboud <odyx@debian.org>  Thu, 27 Sep 2012 09:58:36 +0200

c2esp (25c-1) experimental; urgency=low

  * New 25c upstream release.

 -- Didier Raboud <odyx@debian.org>  Tue, 17 Jul 2012 08:18:22 +0200

c2esp (25a-1) experimental; urgency=low

  * New 25a upstream release.
    - The c2esp filter for the ESP series has been significantly
      rewritten to enable some ppd attributes like cupsInkLimit and
      cupsBlackGeneration.
    - The grey ink is now used. This makes grey areas properly grey
      (less green than they used to be).
    - Because of the grey ink and cupsInkLimit, ink cartridges should
      last longer.
    - The Black&White option is now dithered properly (and also uses the
      grey ink).

 -- Didier Raboud <odyx@debian.org>  Sat, 07 Jul 2012 02:28:48 +0200

c2esp (24-2) unstable; urgency=low

  * Use the Debian-provided libjbig:
    - Add libjbig-dev to Build-Depends;
    - Add 00-system-libjbig.patch.

 -- Didier Raboud <odyx@debian.org>  Thu, 26 Apr 2012 10:44:13 +0200

c2esp (24-1) unstable; urgency=low

  * New 24 upstream release.
    - Update description to cope with the newly supported printers.
    - Update install commands to cope with the new source driver names.

  * Update debian/copyright with copyright-format 1.0; update years.
  * Bump Standards-Version to 3.9.3 without changes needed.

 -- Didier Raboud <odyx@debian.org>  Thu, 22 Mar 2012 10:17:52 +0100

c2esp (23-1) unstable; urgency=low

  * New 23 upstream release.
    - Update description to cope with the newly supported printers.
    - Update install commands to cope with the new source driver names.

 -- Didier Raboud <odyx@debian.org>  Tue, 06 Dec 2011 19:13:16 +0100

c2esp (21-1) unstable; urgency=low

  * New 21 upstream release.
    - Goes to unstable.

 -- Didier Raboud <odyx@debian.org>  Wed, 09 Nov 2011 10:12:51 +0100

c2esp (21~rc3-1) experimental; urgency=low

  * New 21~rc3 upstream release.
    - Update debian/copyright with new files.
    - Also install the new cups .drv file.

  * Update long description to include the complete list of supported
    printers.
  * Update the ppd-updater regexp to match the new driver too.

 -- Didier Raboud <odyx@debian.org>  Wed, 02 Nov 2011 17:43:23 +0100

c2esp (19-2) unstable; urgency=low

  * Refactoring, action 1:
    - rename c2esp to printer-driver-c2esp, add transitional package.

  * Use the CUPS PPD generator (.drv) file instead of including ready-made PPD
    files, hence drop pyppd support.
  * Bump debhelper compat to 9, for auto- buildflags.
  * Slightly rewrite description.
  * Drop superfluous shebang from ppd-updater snippet.
  * Only recommend cups-ppdc.

 -- Didier Raboud <odyx@debian.org>  Fri, 21 Oct 2011 12:01:38 +0200

c2esp (19-1) unstable; urgency=low

  * New 19 upstream release
    - Remove no-debug-files.patch: included upstream.

 -- Didier Raboud <odyx@debian.org>  Tue, 13 Sep 2011 00:28:50 +0200

c2esp (18-5) unstable; urgency=low

  [ Till Kamppeter ]
  * debian/patches/no-debug-files.patch: Also command2esp produced debug log
    files in /tmp. Expanded the patch to fix this too.

 -- Didier Raboud <odyx@debian.org>  Tue, 30 Aug 2011 11:15:38 +0200

c2esp (18-4) unstable; urgency=low

  * Replace the PPD-updater postinst by CUPS' trigger.
    - Breaks against too old cups versions.
    - Add a ppd-updater file, to trigger with parameters.
  * Use the new dh_pyppd.
    - Version Build-Depends to pyppd.
    - Install PPDs to the package before the dh_pyppd call.

 -- Didier Raboud <odyx@debian.org>  Wed, 17 Aug 2011 22:42:35 +0200

c2esp (18-3) unstable; urgency=low

  * Merge from Ubuntu.

  [ Till Kamppeter ]
  * Add no-debug-files.patch. Make sure that no debug log file is
    created in /tmp and also fix a segfault on the marker level check.
  * debian/c2esp.postinst: Make automatic update of PPD actually work
    with the package's PPDs being pyppd-compressed.
  * Do not install myopldecode. It is only a debug helper and has
    security issues.

 -- Didier Raboud <odyx@debian.org>  Sun, 14 Aug 2011 20:22:41 +0200

c2esp (18-2) unstable; urgency=low

  * Compress PPDs using pyppd.
  * Add postinst to update cups installed printers' PPDs.

 -- Didier Raboud <odyx@debian.org>  Fri, 17 Jun 2011 21:56:22 +0200

c2esp (18-1) unstable; urgency=low

  * Initial release. (Closes: #629916)

 -- Didier Raboud <odyx@debian.org>  Thu, 09 Jun 2011 18:06:00 +0200